nsindocs Search the docs⌘K
  1. Docs
  2. API reference
  3. SSO

Token signing keys (JWKS)

gethttps://api.nsin.ir/.well-known/jwks.json

No authentication.

The RSA public keys that verify our access and ID tokens, as a JWK Set. Verify offline against these — never by calling back to NSIN on every request. Cache by kid and refetch once when you meet a kid you do not know. Cacheable for an hour.

Responses

200JWK Set.

Content type: application/json

  • keysarray of object
    Item fields
    • ktystring
    • usestring
    • algstring
    • kidstring
    • nstring

      Modulus, base64url.

    • estring

      Exponent, base64url.

json
{
  "keys": [
    {
      "kty": "RSA",
      "use": "sig",
      "alg": "RS256",
      "kid": "string",
      "n": "string",
      "e": "string"
    }
  ]
}

Example request

bash
curl -X GET "https://api.nsin.ir/.well-known/jwks.json" \
  -H "Authorization: Bearer $NSIN_API_KEY"
esc